       integer contador, cont
       real num, promedio
       promedio = 0
       cont = 1
       do while ( cont .eq. 1)
        print *, 'Numero: '
        read *,num
        promedio = promedio + num
        if ( num .NE. 0) then
          contador = contador +1
        else
          cont = 0
        end if
       end do
       if (promedio .NE. 0) then
         promedio = promedio/contador
       end if
       print *, 'El promedio es ',promedio
       end
